group = core
admin-port = 17600
smsbox-port = 17601
admin-password = 'mysecrect'
log-file=/home/ejavare/kannel/smsc_conf/log/bearer.log
log-level=0
sms-combine-concatenated-mo = true

group = smsbox
smsbox-id = enduser
bearerbox-host = 127.0.0.1
sendsms-port = 17602
log-file=/home/ejavare/kannel/smsc_conf/log/smsbox.log
log-level=0
#convert UCS-2 charset to WINDOWS-1252 or to UTF-8
mo-recode=true

###Credentials for sending MT messages in http protocol group = sendsms-user
#group = sendsms-user
#username = john
#password = wayne
##default-smsc = loop1
#concatenation=true
#max-messages = 10
#dlr-url=http://127.0.0.1:28080/kannel/smscallback?url=smsc-dlr-url&chat=%p&receiver=%P&dlr=%d

#routing of messages inside bearerbox
group = smsbox-route
#smsbox-id = system
smsbox-id = MOIP
smsc-id= mouser

#SMS Center HTTP (system)
group = smsc
smsc = http
smsc-id = mouser
system-type = generic
no-sep = true
no-coding = true
no-sender = true
smsc-username = john
smsc-password = ford
port = 17612
connect-allow-ip = *.*.*.*
#status-success-regex = "ok"
status-success-regex = ""
status-permfail-regex = "failure"
status-tempfail-regex = "retry later"
max-sms-octets=4096
send-url=http://127.0.0.1:28080/kannel/receiver?url=smsc-send-url&numA=%P&numB=%p&text=%a
#send-url=http://127.0.0.1:28080/kannel/receiver?url=smsc-send-url&numA=%P&numB=%p&coding=%c&charset=%C&text=%b
connection-timeout=0

## Forward all received messages to our application in the URL
#group = sms-service
#catch-all = yes
#get-url = "http://127.0.0.1:28080/kannel/receiver?url=smsc-get-url&chat=%P&sender=%p&text=%a"
#concatenation = true
#max-messages = 0
#keyword-regex=.*

##SMS Center definition group = smsc
#group = smsc
#smsc = smpp
#smsc-id = kannel
#host = 127.0.0.1
#port = 17610
#receive-port = 17610
#smsc-username = open
#smsc-password = smpp
#system-type = kannel
#service-type = ''
#interface-version = 34
#address-range = ''
#log-file=/home/ejavare/kannel/smsc_conf/log/opensmpp_smsc.log
#log-level=0
